Skip to main content
POST
/
file-entries
/
duplicate
curl -X POST "https://app.drime.cloud/api/v1/file-entries/duplicate?workspaceId=0" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "entryIds": [123]
  }'
{
  "status": "success",
  "entries": [
    {
      "id": 124,
      "name": "document (copy).pdf",
      "type": "pdf",
      "file_size": 1048576,
      "parent_id": null,
      "created_at": "2024-01-20T10:00:00.000000Z"
    }
  ]
}

Overview

Creates duplicates of one or more file entries. The copies are created in the same location with “(copy)” appended to the name.

Query Parameters

workspaceId
integer
Workspace context

Request Body

entryIds
array
required
Array of entry IDs to duplicate
destinationId
integer
Optional destination folder ID. If not provided, copies are created in the same location.

Response

entries
array
Array of newly created duplicate entries
status
string
Request status (success)
curl -X POST "https://app.drime.cloud/api/v1/file-entries/duplicate?workspaceId=0" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "entryIds": [123]
  }'
{
  "status": "success",
  "entries": [
    {
      "id": 124,
      "name": "document (copy).pdf",
      "type": "pdf",
      "file_size": 1048576,
      "parent_id": null,
      "created_at": "2024-01-20T10:00:00.000000Z"
    }
  ]
}